aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAngelo Mantellini (manangel) <angelo.mantellini@irt-systemx.fr>2017-04-08 00:57:33 +0200
committerAngelo Mantellini (manangel) <angelo.mantellini@irt-systemx.fr>2017-04-08 00:57:33 +0200
commit20d003a4858d18ccd0b22496c5ad926d3a51601f (patch)
treea5c3e02e184eb0f4ce852a6a4928a6046118a4c6 /scripts
parent3137acdd5a45285dab9903f9d41560c63eca8523 (diff)
correct scripts and makefile, little correction in switch off of metis
Change-Id: Icfce254c22af4b7363ec206f5f9703520113f0ee Signed-off-by: Angelo Mantellini (manangel) <angelo.mantellini@irt-systemx.fr>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/init.sh12
-rwxr-xr-xscripts/update.sh32
2 files changed, 41 insertions, 3 deletions
diff --git a/scripts/init.sh b/scripts/init.sh
index 1d547cd8..78a0b430 100755
--- a/scripts/init.sh
+++ b/scripts/init.sh
@@ -15,6 +15,8 @@
#!/bin/bash
+set -e
+
ABI=$1
INSTALLATION_DIR=$2
OS=`echo $OS | tr '[:upper:]' '[:lower:]'`
@@ -131,7 +133,7 @@ if [ ! -d ${INSTALLATION_DIR}/include/boost ]; then
fi
echo "Copy libcrystax in workspace"
-cp -fv crystax-ndk-10.3.2/sources/crystax/libs/${ABI}/libcrystax.* ${INSTALLATION_DIR}/lib/
+cp -n crystax-ndk-10.3.2/sources/crystax/libs/${ABI}/libcrystax.* ${INSTALLATION_DIR}/lib/
echo "Create libevent"
@@ -178,9 +180,13 @@ if [ ! -d ${INSTALLATION_DIR}/include/libxml ]; then
git clone git://git.gnome.org/libxml2
fi
cd libxml2
-
+ mkdir -p ../libxml2_android/jni/libxml2/include/libxml
find . -maxdepth 1 -name "*.[c|h]" -exec cp {} ../libxml2_android/jni/libxml2/ \;
- cp -rf include/* ../libxml2_android/jni/libxml2/include/
+ cp -rf include/libxml ../libxml2_android/jni/libxml2/include/
+ cp -rf include/win32config.h ../libxml2_android/jni/libxml2/include/
+ cp -rf include/wsockcompat.h ../libxml2_android/jni/libxml2/include/
+ cp -rf ../libxml2_files/config.h ../libxml2_android/jni/
+ cp -rf ../libxml2_files/xmlversion.h ../libxml2_android/jni/libxml2/include/libxml
cd ..
echo `pwd`
cd libxml2_android
diff --git a/scripts/update.sh b/scripts/update.sh
new file mode 100755
index 00000000..e169cd2f
--- /dev/null
+++ b/scripts/update.sh
@@ -0,0 +1,32 @@
+ #############################################################################
+ # Copyright (c) 2017 Cisco and/or its affiliates.
+ # Licensed under the Apache License, Version 2.0 (the "License");
+ # you may not use this file except in compliance with the License.
+ # You may obtain a copy of the License at:
+ #
+ # http://www.apache.org/licenses/LICENSE-2.0
+ #
+ # Unless required by applicable law or agreed to in writing, software
+ # distributed under the License is distributed on an "AS IS" BASIS,
+ # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ ##############################################################################
+
+#!/bin/bash
+set -e
+
+#git pull
+cd src/ccnxlibs
+git pull
+cd ../..
+cd src/cframework
+git pull
+cd ../..
+cd src/sb-forwarder
+git pull
+cd ../..
+cd src/libicnet
+git pull
+cd ../..
+